Plesk\backup\Agent\Schema\Backup\DnsSettings\DnsSettingsAType:
    properties:
        recursion:
            expose: true
            access_type: public_method
            serialized_name: recursion
            accessor:
                getter: getRecursion
                setter: setRecursion
            xml_attribute: true
            type: string
        dnsZone:
            expose: true
            access_type: public_method
            serialized_name: dns-zone
            xml_element:
                cdata: false
            accessor:
                getter: getDnsZone
                setter: setDnsZone
            type: Plesk\backup\Agent\Schema\Backup\DnsZone
        commonAcl:
            expose: true
            access_type: public_method
            serialized_name: common-acl
            xml_element:
                cdata: false
            accessor:
                getter: getCommonAcl
                setter: setCommonAcl
            type: array<Plesk\backup\Agent\Schema\Backup\ListItem>
            xml_list:
                inline: false
                entry_name: list-item
                skip_when_empty: true
        subdomainOwnZones:
            expose: true
            access_type: public_method
            serialized_name: subdomain-own-zones
            xml_element:
                cdata: false
            accessor:
                getter: getSubdomainOwnZones
                setter: setSubdomainOwnZones
            type: string
